Results 1 to 3 of 3



  1. #1
    Contributor jetli68's Avatar
    Join Date
    Oct 2010
    Posts
    31

    [Answered] Dead Island PS3 Firmware version help?


    hi there does dead island need fw 3.6 or above or does it need 3.55

    some people say 3.6 some say 3.55

    anyone know which one ?

    cheers

    jet

  2. #2
    Senior Member HeyManHRU's Avatar
    Join Date
    Dec 2010
    Posts
    3,010

    It's 3.60+, all new game will be 3.60+ from now on, If it can be fixed (or if it's 3.55) you'll see it it the news section.

  3. #3
    Contributor jetli68's Avatar
    Join Date
    Oct 2010
    Posts
    31
    thanks for the info